com.corticon.rulesemf.canonicalvocabularymodel.provider

## Class CanonicalvocabularymodelItemProviderAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - com.corticon.rulesemf.canonicalvocabularymodel.util.CanonicalvocabularymodelAdapterFactory
    - - com.corticon.rulesemf.canonicalvocabularymodel.provider.CanonicalvocabularymodelItemProviderAdapterFactory

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.AdapterFactory, org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

      public class CanonicalvocabularymodelItemProviderAdapterFactory
      extends CanonicalvocabularymodelAdapterFactory
      implements org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

  This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AssociationEndExtensionItemProvider` | `associationEndExtensionItemProvider` This keeps track of the one adapter used for all `AssociationEndExtension` instances
    `protected AttributeExtensionItemProvider` | `attributeExtensionItemProvider` This keeps track of the one adapter used for all `AttributeExtension` instances
    `protected org.eclipse.emf.edit.provider.IChangeNotifier` | `changeNotifier` This is used to implement `IChangeNotifier`
    `protected CustomDataTypeItemProvider` | `customDataTypeItemProvider` This keeps track of the one adapter used for all `CustomDataType` instances
    `protected DatabaseAccessItemProvider` | `databaseAccessItemProvider` This keeps track of the one adapter used for all `DatabaseAccess` instances
    `protected DatabaseLookupPropertiesItemProvider` | `databaseLookupPropertiesItemProvider` This keeps track of the one adapter used for all `DatabaseLookupProperties` instances
    `protected DatabasePropertyItemProvider` | `databasePropertyItemProvider` This keeps track of the one adapter used for all `DatabaseProperty` instances
    `protected DataTypeMappingItemProvider` | `dataTypeMappingItemProvider` This keeps track of the one adapter used for all `DataTypeMapping` instances
    `protected DomainExtensionItemProvider` | `domainExtensionItemProvider` This keeps track of the one adapter used for all `DomainExtension` instances
    `protected EntityExtensionItemProvider` | `entityExtensionItemProvider` This keeps track of the one adapter used for all `EntityExtension` instances
    `protected EntityMappingItemProvider` | `entityMappingItemProvider` This keeps track of the one adapter used for all `EntityMapping` instances
    `protected EnumerationElementItemProvider` | `enumerationElementItemProvider` This keeps track of the one adapter used for all `EnumerationElement` instances
    `protected ExtendedPersistentAttributesItemProvider` | `extendedPersistentAttributesItemProvider` This keeps track of the one adapter used for all `ExtendedPersistentAttributes` instances
    `protected NamedExtensionItemProvider` | `namedExtensionItemProvider` This keeps track of the one adapter used for all `NamedExtension` instances
    `protected org.eclipse.emf.edit.provider.ComposedAdapterFactory` | `parentAdapterFactory` This keeps track of the root adapter factory that delegates to this adapter factory
    `protected RootExtensionItemProvider` | `rootExtensionItemProvider` This keeps track of the one adapter used for all `RootExtension` instances
    `protected java.util.Collection` | `supportedTypes` This keeps track of all the supported types checked by `isFactoryForType`
    `protected VocabularyBooleanItemProvider` | `vocabularyBooleanItemProvider` This keeps track of the one adapter used for all `VocabularyBoolean` instances
    `protected VocabularyDataTypeItemProvider` | `vocabularyDataTypeItemProvider` This keeps track of the one adapter used for all `VocabularyDataType` instances
    `protected VocabularyExpressionItemProvider` | `vocabularyExpressionItemProvider` This keeps track of the one adapter used for all `VocabularyExpression` instances
    `protected VocabularyPropertyItemProvider` | `vocabularyPropertyItemProvider` This keeps track of the one adapter used for all `VocabularyProperty` instances
    `protected VocabularyStringItemProvider` | `vocabularyStringItemProvider` This keeps track of the one adapter used for all `VocabularyString` instances
    `protected VocabularyValueSetItemProvider` | `vocabularyValueSetItemProvider` This keeps track of the one adapter used for all `VocabularyValueSet` instances

    - ### Fields inherited from class com.corticon.rulesemf.canonicalvocabularymodel.util.CanonicalvocabularymodelAdapterFactory

      `modelPackage, modelSwitch`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CanonicalvocabularymodelItemProviderAdapterFactory()` This constructs an instance

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.notify.Adapter` | `adapt(org.eclipse.emf.common.notify.Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter
    `java.lang.Object` | `adapt(java.lang.Object object, java.lang.Object type)`
    `void` | `addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This adds a listener
    `org.eclipse.emf.common.notify.Adapter` | `createAssociationEndExtensionAdapter()` This creates an adapter for a `AssociationEndExtension`
    `org.eclipse.emf.common.notify.Adapter` | `createAttributeExtensionAdapter()` This creates an adapter for a `AttributeExtension`
    `org.eclipse.emf.common.notify.Adapter` | `createCustomDataTypeAdapter()` This creates an adapter for a `CustomDataType`
    `org.eclipse.emf.common.notify.Adapter` | `createDatabaseAccessAdapter()` This creates an adapter for a `DatabaseAccess`
    `org.eclipse.emf.common.notify.Adapter` | `createDatabaseLookupPropertiesAdapter()` This creates an adapter for a `DatabaseLookupProperties`
    `org.eclipse.emf.common.notify.Adapter` | `createDatabasePropertyAdapter()` This creates an adapter for a `DatabaseProperty`
    `org.eclipse.emf.common.notify.Adapter` | `createDataTypeMappingAdapter()` This creates an adapter for a `DataTypeMapping`
    `org.eclipse.emf.common.notify.Adapter` | `createDomainExtensionAdapter()` This creates an adapter for a `DomainExtension`
    `org.eclipse.emf.common.notify.Adapter` | `createEntityExtensionAdapter()` This creates an adapter for a `EntityExtension`
    `org.eclipse.emf.common.notify.Adapter` | `createEntityMappingAdapter()` This creates an adapter for a `EntityMapping`
    `org.eclipse.emf.common.notify.Adapter` | `createEnumerationElementAdapter()` This creates an adapter for a `EnumerationElement`
    `org.eclipse.emf.common.notify.Adapter` | `createExtendedPersistentAttributesAdapter()` This creates an adapter for a `ExtendedPersistentAttributes`
    `org.eclipse.emf.common.notify.Adapter` | `createNamedExtensionAdapter()` This creates an adapter for a `NamedExtension`
    `org.eclipse.emf.common.notify.Adapter` | `createRootExtensionAdapter()` This creates an adapter for a `RootExtension`
    `org.eclipse.emf.common.notify.Adapter` | `createVocabularyBooleanAdapter()` This creates an adapter for a `VocabularyBoolean`
    `org.eclipse.emf.common.notify.Adapter` | `createVocabularyDataTypeAdapter()` This creates an adapter for a `VocabularyDataType`
    `org.eclipse.emf.common.notify.Adapter` | `createVocabularyExpressionAdapter()` This creates an adapter for a `VocabularyExpression`
    `org.eclipse.emf.common.notify.Adapter` | `createVocabularyPropertyAdapter()` This creates an adapter for a `VocabularyProperty`
    `org.eclipse.emf.common.notify.Adapter` | `createVocabularyStringAdapter()` This creates an adapter for a `VocabularyString`
    `org.eclipse.emf.common.notify.Adapter` | `createVocabularyValueSetAdapter()` This creates an adapter for a `VocabularyValueSet`
    `void` | `dispose()` This disposes all of the item providers created by this factory
    `void` | `fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`
    `org.eclipse.emf.edit.provider.ComposeableAdapterFactory` | `getRootAdapterFactory()` This returns the root adapter factory that contains this factory
    `boolean` | `isFactoryForType(java.lang.Object type)`
    `void` | `removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This removes a listener
    `void` | `setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory

    - ### Methods inherited from class com.corticon.rulesemf.canonicalvocabularymodel.util.CanonicalvocabularymodelAdapterFactory

      `createAdapter, createAssetAdapter, createEObjectAdapter, createValidatableObjectAdapter`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

      `adaptAllNew, adaptNew, associate, createAdapter, resolve`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory

      `adaptAllNew, adaptNew`

- - ### Field Detail

    - #### parentAdapterFactory

          protected org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory

      This keeps track of the root adapter factory that delegates to this adapter factory.

    - #### changeNotifier

          protected org.eclipse.emf.edit.provider.IChangeNotifier changeNotifier

      This is used to implement `IChangeNotifier`.

    - #### supportedTypes

          protected java.util.Collection supportedTypes

      This keeps track of all the supported types checked by `isFactoryForType`.

    - #### associationEndExtensionItemProvider

          protected AssociationEndExtensionItemProvider associationEndExtensionItemProvider

      This keeps track of the one adapter used for all `AssociationEndExtension` instances.

    - #### attributeExtensionItemProvider

          protected AttributeExtensionItemProvider attributeExtensionItemProvider

      This keeps track of the one adapter used for all `AttributeExtension` instances.

    - #### entityExtensionItemProvider

          protected EntityExtensionItemProvider entityExtensionItemProvider

      This keeps track of the one adapter used for all `EntityExtension` instances.

    - #### rootExtensionItemProvider

          protected RootExtensionItemProvider rootExtensionItemProvider

      This keeps track of the one adapter used for all `RootExtension` instances.

    - #### vocabularyPropertyItemProvider

          protected VocabularyPropertyItemProvider vocabularyPropertyItemProvider

      This keeps track of the one adapter used for all `VocabularyProperty` instances.

    - #### vocabularyStringItemProvider

          protected VocabularyStringItemProvider vocabularyStringItemProvider

      This keeps track of the one adapter used for all `VocabularyString` instances.

    - #### vocabularyBooleanItemProvider

          protected VocabularyBooleanItemProvider vocabularyBooleanItemProvider

      This keeps track of the one adapter used for all `VocabularyBoolean` instances.

    - #### vocabularyValueSetItemProvider

          protected VocabularyValueSetItemProvider vocabularyValueSetItemProvider

      This keeps track of the one adapter used for all `VocabularyValueSet` instances.

    - #### domainExtensionItemProvider

          protected DomainExtensionItemProvider domainExtensionItemProvider

      This keeps track of the one adapter used for all `DomainExtension` instances.

    - #### databaseAccessItemProvider

          protected DatabaseAccessItemProvider databaseAccessItemProvider

      This keeps track of the one adapter used for all `DatabaseAccess` instances.

    - #### databasePropertyItemProvider

          protected DatabasePropertyItemProvider databasePropertyItemProvider

      This keeps track of the one adapter used for all `DatabaseProperty` instances.

    - #### customDataTypeItemProvider

          protected CustomDataTypeItemProvider customDataTypeItemProvider

      This keeps track of the one adapter used for all `CustomDataType` instances.

    - #### namedExtensionItemProvider

          protected NamedExtensionItemProvider namedExtensionItemProvider

      This keeps track of the one adapter used for all `NamedExtension` instances.

    - #### vocabularyExpressionItemProvider

          protected VocabularyExpressionItemProvider vocabularyExpressionItemProvider

      This keeps track of the one adapter used for all `VocabularyExpression` instances.

    - #### databaseLookupPropertiesItemProvider

          protected DatabaseLookupPropertiesItemProvider databaseLookupPropertiesItemProvider

      This keeps track of the one adapter used for all `DatabaseLookupProperties` instances.

    - #### enumerationElementItemProvider

          protected EnumerationElementItemProvider enumerationElementItemProvider

      This keeps track of the one adapter used for all `EnumerationElement` instances.

    - #### extendedPersistentAttributesItemProvider

          protected ExtendedPersistentAttributesItemProvider extendedPersistentAttributesItemProvider

      This keeps track of the one adapter used for all `ExtendedPersistentAttributes` instances.

    - #### entityMappingItemProvider

          protected EntityMappingItemProvider entityMappingItemProvider

      This keeps track of the one adapter used for all `EntityMapping` instances.

    - #### dataTypeMappingItemProvider

          protected DataTypeMappingItemProvider dataTypeMappingItemProvider

      This keeps track of the one adapter used for all `DataTypeMapping` instances.

    - #### vocabularyDataTypeItemProvider

          protected VocabularyDataTypeItemProvider vocabularyDataTypeItemProvider

      This keeps track of the one adapter used for all `VocabularyDataType` instances.

  - ### Constructor Detail

    - #### CanonicalvocabularymodelItemProviderAdapterFactory

          public CanonicalvocabularymodelItemProviderAdapterFactory()

      This constructs an instance.

  - ### Method Detail

    - #### createAssociationEndExtensionAdapter

          public org.eclipse.emf.common.notify.Adapter createAssociationEndExtensionAdapter()

      This creates an adapter for a `AssociationEndExtension`.
      Overrides:
        `createAssociationEndExtensionAdapter` in class `CanonicalvocabularymodelAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `AssociationEndExtension`

    - #### createAttributeExtensionAdapter

          public org.eclipse.emf.common.notify.Adapter createAttributeExtensionAdapter()

      This creates an adapter for a `AttributeExtension`.
      Overrides:
        `createAttributeExtensionAdapter` in class `CanonicalvocabularymodelAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `AttributeExtension`

    - #### createEntityExtensionAdapter

          public org.eclipse.emf.common.notify.Adapter createEntityExtensionAdapter()

      This creates an adapter for a `EntityExtension`.
      Overrides:
        `createEntityExtensionAdapter` in class `CanonicalvocabularymodelAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `EntityExtension`

    - #### createRootExtensionAdapter

          public org.eclipse.emf.common.notify.Adapter createRootExtensionAdapter()

      This creates an adapter for a `RootExtension`.
      Overrides:
        `createRootExtensionAdapter` in class `CanonicalvocabularymodelAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `RootExtension`

    - #### createVocabularyPropertyAdapter

          public org.eclipse.emf.common.notify.Adapter createVocabularyPropertyAdapter()

      This creates an adapter for a `VocabularyProperty`.
      Overrides:
        `createVocabularyPropertyAdapter` in class `CanonicalvocabularymodelAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `VocabularyProperty`

    - #### createVocabularyStringAdapter

          public org.eclipse.emf.common.notify.Adapter createVocabularyStringAdapter()

      This creates an adapter for a `VocabularyString`.
      Overrides:
        `createVocabularyStringAdapter` in class `CanonicalvocabularymodelAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `VocabularyString`

    - #### createVocabularyBooleanAdapter

          public org.eclipse.emf.common.notify.Adapter createVocabularyBooleanAdapter()

      This creates an adapter for a `VocabularyBoolean`.
      Overrides:
        `createVocabularyBooleanAdapter` in class `CanonicalvocabularymodelAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `VocabularyBoolean`

    - #### createVocabularyValueSetAdapter

          public org.eclipse.emf.common.notify.Adapter createVocabularyValueSetAdapter()

      This creates an adapter for a `VocabularyValueSet`.
      Overrides:
        `createVocabularyValueSetAdapter` in class `CanonicalvocabularymodelAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `VocabularyValueSet`

    - #### createDomainExtensionAdapter

          public org.eclipse.emf.common.notify.Adapter createDomainExtensionAdapter()

      This creates an adapter for a `DomainExtension`.
      Overrides:
        `createDomainExtensionAdapter` in class `CanonicalvocabularymodelAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `DomainExtension`

    - #### createDatabaseAccessAdapter

          public org.eclipse.emf.common.notify.Adapter createDatabaseAccessAdapter()

      This creates an adapter for a `DatabaseAccess`.
      Overrides:
        `createDatabaseAccessAdapter` in class `CanonicalvocabularymodelAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `DatabaseAccess`

    - #### createDatabasePropertyAdapter

          public org.eclipse.emf.common.notify.Adapter createDatabasePropertyAdapter()

      This creates an adapter for a `DatabaseProperty`.
      Overrides:
        `createDatabasePropertyAdapter` in class `CanonicalvocabularymodelAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `DatabaseProperty`

    - #### createCustomDataTypeAdapter

          public org.eclipse.emf.common.notify.Adapter createCustomDataTypeAdapter()

      This creates an adapter for a `CustomDataType`.
      Overrides:
        `createCustomDataTypeAdapter` in class `CanonicalvocabularymodelAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `CustomDataType`

    - #### createNamedExtensionAdapter

          public org.eclipse.emf.common.notify.Adapter createNamedExtensionAdapter()

      This creates an adapter for a `NamedExtension`.
      Overrides:
        `createNamedExtensionAdapter` in class `CanonicalvocabularymodelAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `NamedExtension`

    - #### createVocabularyExpressionAdapter

          public org.eclipse.emf.common.notify.Adapter createVocabularyExpressionAdapter()

      This creates an adapter for a `VocabularyExpression`.
      Overrides:
        `createVocabularyExpressionAdapter` in class `CanonicalvocabularymodelAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `VocabularyExpression`

    - #### createDatabaseLookupPropertiesAdapter

          public org.eclipse.emf.common.notify.Adapter createDatabaseLookupPropertiesAdapter()

      This creates an adapter for a `DatabaseLookupProperties`.
      Overrides:
        `createDatabaseLookupPropertiesAdapter` in class `CanonicalvocabularymodelAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `DatabaseLookupProperties`

    - #### createEnumerationElementAdapter

          public org.eclipse.emf.common.notify.Adapter createEnumerationElementAdapter()

      This creates an adapter for a `EnumerationElement`.
      Overrides:
        `createEnumerationElementAdapter` in class `CanonicalvocabularymodelAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `EnumerationElement`

    - #### createExtendedPersistentAttributesAdapter

          public org.eclipse.emf.common.notify.Adapter createExtendedPersistentAttributesAdapter()

      This creates an adapter for a `ExtendedPersistentAttributes`.
      Overrides:
        `createExtendedPersistentAttributesAdapter` in class `CanonicalvocabularymodelAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `ExtendedPersistentAttributes`

    - #### createEntityMappingAdapter

          public org.eclipse.emf.common.notify.Adapter createEntityMappingAdapter()

      This creates an adapter for a `EntityMapping`.
      Overrides:
        `createEntityMappingAdapter` in class `CanonicalvocabularymodelAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `EntityMapping`

    - #### createDataTypeMappingAdapter

          public org.eclipse.emf.common.notify.Adapter createDataTypeMappingAdapter()

      This creates an adapter for a `DataTypeMapping`.
      Overrides:
        `createDataTypeMappingAdapter` in class `CanonicalvocabularymodelAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `DataTypeMapping`

    - #### createVocabularyDataTypeAdapter

          public org.eclipse.emf.common.notify.Adapter createVocabularyDataTypeAdapter()

      This creates an adapter for a `VocabularyDataType`.
      Overrides:
        `createVocabularyDataTypeAdapter` in class `CanonicalvocabularymodelAdapterFactory`
      Returns:
        the new adapter.
      See Also:
        `VocabularyDataType`

    - #### getRootAdapterFactory

          public org.eclipse.emf.edit.provider.ComposeableAdapterFactory getRootAdapterFactory()

      This returns the root adapter factory that contains this factory.
      Specified by:
        `getRootAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

    - #### setParentAdapterFactory

          public void setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)

      This sets the composed adapter factory that contains this factory.
      Specified by:
        `setParentAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

    - #### isFactoryForType

          public boolean isFactoryForType(java.lang.Object type)

      Specified by:
        `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `isFactoryForType` in class `CanonicalvocabularymodelAdapterFactory`
      Returns:
        whether this factory is applicable for the type of the object.

    - #### adapt

          public org.eclipse.emf.common.notify.Adapter adapt(org.eclipse.emf.common.notify.Notifier notifier,
                                                    java.lang.Object type)

      This implementation substitutes the factory itself as the key for the adapter.
      Specified by:
        `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

    - #### adapt

          public java.lang.Object adapt(java.lang.Object object,
                               java.lang.Object type)

      Specified by:
        `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

    - #### addListener

          public void addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

      This adds a listener.
      Specified by:
        `addListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

    - #### removeListener

          public void removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

      This removes a listener.
      Specified by:
        `removeListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

    - #### fireNotifyChanged

          public void fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)

      This delegates to `changeNotifier` and to `parentAdapterFactory`.
      Specified by:
        `fireNotifyChanged` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

    - #### dispose

          public void dispose()

      This disposes all of the item providers created by this factory.
      Specified by:
        `dispose` in interface `org.eclipse.emf.edit.provider.IDisposable`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.